data:extend({
--ENTITY
	{
		type = "furnace",
		name = "auto-barrelling-machine-1",
		icon = "__auto-barrelling__/graphics/item/auto-barrelling-machine-1.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {mining_time = 1, result = "auto-barrelling-machine-1"},
		fast_replaceable_group = "auto-barrelling-machine",
		max_health = 250,
		corpse = "big-remnants",
		dying_explosion = "medium-explosion",
		resistances =
		{
			{
			  type = "fire",
			  percent = 70
			}
		},
		fluid_boxes = {
			{
				production_type = "input",
				pipe_picture = abm1pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {0, -2} }}
			},
			{
				production_type = "output",
				pipe_picture = abm1pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = 1,
				pipe_connections = {{ type="output", position = {0, 2} }}
			},
		},
		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		animation = {
			filename = "__auto-barrelling__/graphics/entity/auto-barrelling-machine-1/auto-barrelling-machine-1.png",
			priority = "high",
			width = 113,
			height = 99,
			frame_count = 32,
			line_length = 8,
			shift = {0.4, -0.06}
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
		working_sound =
		{
		  sound = {
			{
			  filename = "__base__/sound/assembling-machine-t2-1.ogg",
			  volume = 0.8
			},
			{
			  filename = "__base__/sound/assembling-machine-t2-2.ogg",
			  volume = 0.8
			},
		  },
		  idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
		  apparent_volume = 1.5,
		},
		crafting_categories = {"crafting-with-fluid"},
		result_inventory_size = 1,
		source_inventory_size = 1,
		crafting_speed = 1,
		energy_source =
		{
		  type = "electric",
		  usage_priority = "secondary-input",
		  emissions = 0.04 / 2.5
		},
		energy_usage = "60kW",
		module_specification =
		{
		  module_slots = 2
		},
		allowed_effects = {"consumption", "speed", "pollution"}
	},
	{
		type = "furnace",
		name = "auto-barrelling-machine-2",
		icon = "__auto-barrelling__/graphics/item/auto-barrelling-machine-2.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {mining_time = 1, result = "auto-barrelling-machine-2"},
		fast_replaceable_group = "auto-barrelling-machine",
		max_health = 250,
		corpse = "big-remnants",
		dying_explosion = "medium-explosion",
		resistances =
		{
			{
			  type = "fire",
			  percent = 70
			}
		},
		fluid_boxes = {
			{
				production_type = "input",
				pipe_picture = abm2pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {0, -2} }}
			},
			{
				production_type = "output",
				pipe_picture = abm1pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = 1,
				pipe_connections = {{ type="output", position = {0, 2} }}
			},
		},
		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		animation = {
			filename = "__auto-barrelling__/graphics/entity/auto-barrelling-machine-2/auto-barrelling-machine-2.png",
			priority = "high",
			width = 142,
			height = 113,
			frame_count = 32,
			line_length = 8,
			shift = {0.84, -0.09}
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
		working_sound =
		{
		  sound = {
			{
			  filename = "__base__/sound/assembling-machine-t3-1.ogg",
			  volume = 0.8
			},
			{
			  filename = "__base__/sound/assembling-machine-t3-2.ogg",
			  volume = 0.8
			},
		  },
		  idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
		  apparent_volume = 1.5,
		},
		crafting_categories = {"crafting-with-fluid"},
		result_inventory_size = 1,
		source_inventory_size = 1,
		crafting_speed = 2,
		energy_source =
		{
		  type = "electric",
		  usage_priority = "secondary-input",
		  emissions = 0.04 / 2.5
		},
		energy_usage = "120kW",
		module_specification =
		{
		  module_slots = 2
		},
		allowed_effects = {"consumption", "speed", "pollution"}
	}
})
